Bug 1378761 (CVE-2016-7529) - CVE-2016-7529 ImageMagick: out of bound heap read in XCF file coder
Summary: CVE-2016-7529 ImageMagick: out of bound heap read in XCF file coder
Status: CLOSED WONTFIX
Alias: CVE-2016-7529
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160128,reported=2...
Keywords: Security
Depends On: 1378790
Blocks: 1378785
TreeView+ depends on / blocked
 
Reported: 2016-09-23 08:53 UTC by Adam Mariš
Modified: 2019-06-08 21:28 UTC (History)
13 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-23 11:44:04 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-09-23 08:53:18 UTC
An error within the processing of specially crafted XCF images can be exploited to cause a heap-based out-of-bounds read.

Bug report(s):

https://github.com/ImageMagick/ImageMagick/issues/103
https://github.com/ImageMagick/ImageMagick/issues/104

Upstream patch(es):

https://github.com/ImageMagick/ImageMagick/commit/a2e1064f288a353bc5fef7f79ccb7683759e775c

CVE assignment:

http://seclists.org/oss-sec/2016/q3/590

Comment 1 Adam Mariš 2016-09-23 09:35:27 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1378790]

Comment 3 Stefan Cornelius 2017-08-23 11:44:15 UTC
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.